org.apache.ignite.internal.processors.cache

## Interface CacheEvictionManager

All Superinterfaces:
  GridCacheManager

All Known Implementing Classes:
  CacheOffheapEvictionManager, GridCacheEvictionManager

    public interface CacheEvictionManager
    extends GridCacheManager

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `batchEvict(Collection<?> keys, GridCacheVersion obsoleteVer)`
`boolean` `evict(GridCacheEntryEx entry, GridCacheVersion obsoleteVer, boolean explicit, CacheEntryPredicate[] filter)`
`void` `touch(GridCacheEntryEx e, AffinityTopologyVersion topVer)`
`void` `touch(IgniteTxEntry txEntry, boolean loc)`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheManager

`onDisconnected, onKernalStart, onKernalStop, printMemoryStats, start, stop`

### Method Detail

#### touch

    void touch(IgniteTxEntry txEntry,
               boolean loc)

Parameters:
  `txEntry` - Transactional entry.
  `loc` - Local transaction flag.

#### touch

    void touch(GridCacheEntryEx e,
               AffinityTopologyVersion topVer)

Parameters:
  `e` - Entry for eviction policy notification.
  `topVer` - Topology version.

#### evict

    boolean evict(@Nullable
                  GridCacheEntryEx entry,
                  @Nullable
                  GridCacheVersion obsoleteVer,
                  boolean explicit,
                  @Nullable
                  CacheEntryPredicate[] filter)
           throws IgniteCheckedException

Parameters:
  `entry` - Entry to attempt to evict.
  `obsoleteVer` - Obsolete version.
  `filter` - Optional entry filter.
  `explicit` - `True` if evict is called explicitly, `false` if it's called from eviction policy.
Returns:
  `True` if entry was marked for eviction.
Throws:
  `IgniteCheckedException` - In case of error.

#### batchEvict

    void batchEvict(Collection<?> keys,
                    @Nullable
                    GridCacheVersion obsoleteVer)
             throws IgniteCheckedException

Parameters:
  `keys` - Keys to evict.
  `obsoleteVer` - Obsolete version.
Throws:
  `IgniteCheckedException` - In case of error.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018